!Script zum Anlegen der Variablen für Wetterstation

string  svName = "WS_Innentemperatur";
object  svObj  = dom.GetObject(svName);
if (!svObj){   
    object svObjects = dom.GetObject(ID_SYSTEM_VARIABLES);
    svObj = dom.CreateObject(OT_VARDP);
    svObjects.Add(svObj.ID());
    svObj.Name(svName);   
    svObj.ValueType(ivtFloat);
    svObj.ValueSubType(istGeneric);
    svObj.DPInfo("Innentemperatur");
    svObj.ValueUnit("°C");
    svObj.ValueMin(-100);
    svObj.ValueMax(100);
    svObj.State(15);
    svObj.Internal(false);
    svObj.Visible(true);
    dom.RTUpdate(false);
}
WriteLine(svObj.Value().ToString());

string  svName = "WS_Aussentemperatur";
object  svObj  = dom.GetObject(svName);
if (!svObj){   
    object svObjects = dom.GetObject(ID_SYSTEM_VARIABLES);
    svObj = dom.CreateObject(OT_VARDP);
    svObjects.Add(svObj.ID());
    svObj.Name(svName);   
    svObj.ValueType(ivtFloat);
    svObj.ValueSubType(istGeneric);
    svObj.DPInfo("Außentemperatur");
    svObj.ValueUnit("°C");
    svObj.ValueMin(-100);
    svObj.ValueMax(100);
    svObj.State(15);
    svObj.Internal(false);
    svObj.Visible(true);
    dom.RTUpdate(false);
}
WriteLine(svObj.Value().ToString());

string  svName = "WS_Taupunkt";
object  svObj  = dom.GetObject(svName);
if (!svObj){   
    object svObjects = dom.GetObject(ID_SYSTEM_VARIABLES);
    svObj = dom.CreateObject(OT_VARDP);
    svObjects.Add(svObj.ID());
    svObj.Name(svName);   
    svObj.ValueType(ivtFloat);
    svObj.ValueSubType(istGeneric);
    svObj.DPInfo("Taupunkt");
    svObj.ValueUnit("°C");
    svObj.ValueMin(-100);
    svObj.ValueMax(100);
    svObj.State(15);
    svObj.Internal(false);
    svObj.Visible(true);
    dom.RTUpdate(false);
}
WriteLine(svObj.Value().ToString());

string  svName = "WS_Windchill";
object  svObj  = dom.GetObject(svName);
if (!svObj){   
    object svObjects = dom.GetObject(ID_SYSTEM_VARIABLES);
    svObj = dom.CreateObject(OT_VARDP);
    svObjects.Add(svObj.ID());
    svObj.Name(svName);   
    svObj.ValueType(ivtFloat);
    svObj.ValueSubType(istGeneric);
    svObj.DPInfo("gefühlte Außentemperatur");
    svObj.ValueUnit("°C");
    svObj.ValueMin(-100);
    svObj.ValueMax(100);
    svObj.State(15);
    svObj.Internal(false);
    svObj.Visible(true);
    dom.RTUpdate(false);
}
WriteLine(svObj.Value().ToString());

string  svName = "WS_Hitzeindex";
object  svObj  = dom.GetObject(svName);
if (!svObj){   
    object svObjects = dom.GetObject(ID_SYSTEM_VARIABLES);
    svObj = dom.CreateObject(OT_VARDP);
    svObjects.Add(svObj.ID());
    svObj.Name(svName);   
    svObj.ValueType(ivtFloat);
    svObj.ValueSubType(istGeneric);
    svObj.DPInfo("Temperatur in der Sonne?");
    svObj.ValueUnit("°C");
    svObj.ValueMin(-100);
    svObj.ValueMax(100);
    svObj.State(15);
    svObj.Internal(false);
    svObj.Visible(true);
    dom.RTUpdate(false);
}
WriteLine(svObj.Value().ToString());

string  svName = "WS_Luftfeuchte_Innen";
object  svObj  = dom.GetObject(svName);
if (!svObj){   
    object svObjects = dom.GetObject(ID_SYSTEM_VARIABLES);
    svObj = dom.CreateObject(OT_VARDP);
    svObjects.Add(svObj.ID());
    svObj.Name(svName);   
    svObj.ValueType(ivtFloat);
    svObj.ValueSubType(istGeneric);
    svObj.DPInfo("Luftfeuchtigkeit Innen");
    svObj.ValueUnit("%");
    svObj.ValueMin(0);
    svObj.ValueMax(100);
    svObj.State(15);
    svObj.Internal(false);
    svObj.Visible(true);
    dom.RTUpdate(false);
}
WriteLine(svObj.Value().ToString());

string  svName = "WS_Luftfeuchte_Aussen";
object  svObj  = dom.GetObject(svName);
if (!svObj){   
    object svObjects = dom.GetObject(ID_SYSTEM_VARIABLES);
    svObj = dom.CreateObject(OT_VARDP);
    svObjects.Add(svObj.ID());
    svObj.Name(svName);   
    svObj.ValueType(ivtFloat);
    svObj.ValueSubType(istGeneric);
    svObj.DPInfo("Luftfeuchtigkeit Außen");
    svObj.ValueUnit("%");
    svObj.ValueMin(0);
    svObj.ValueMax(100);
    svObj.State(15);
    svObj.Internal(false);
    svObj.Visible(true);
    dom.RTUpdate(false);
}
WriteLine(svObj.Value().ToString());

string  svName = "WS_Luftdruck_absolut";
object  svObj  = dom.GetObject(svName);
if (!svObj){   
    object svObjects = dom.GetObject(ID_SYSTEM_VARIABLES);
    svObj = dom.CreateObject(OT_VARDP);
    svObjects.Add(svObj.ID());
    svObj.Name(svName);   
    svObj.ValueType(ivtFloat);
    svObj.ValueSubType(istGeneric);
    svObj.DPInfo("tatsächlich gemessener Luftdruck");
    svObj.ValueUnit("hPa");
    svObj.ValueMin(100);
    svObj.ValueMax(1300);
    svObj.State(15);
    svObj.Internal(false);
    svObj.Visible(true);
    dom.RTUpdate(false);
}
WriteLine(svObj.Value().ToString());

string  svName = "WS_Luftdruck_relativ";
object  svObj  = dom.GetObject(svName);
if (!svObj){   
    object svObjects = dom.GetObject(ID_SYSTEM_VARIABLES);
    svObj = dom.CreateObject(OT_VARDP);
    svObjects.Add(svObj.ID());
    svObj.Name(svName);   
    svObj.ValueType(ivtFloat);
    svObj.ValueSubType(istGeneric);
    svObj.DPInfo("Luftdruck auf Meereshöhe relativiert");
    svObj.ValueUnit("hPa");
    svObj.ValueMin(100);
    svObj.ValueMax(1300);
    svObj.State(15);
    svObj.Internal(false);
    svObj.Visible(true);
    dom.RTUpdate(false);
}
WriteLine(svObj.Value().ToString());

string  svName = "WS_Windrichtung";
object  svObj  = dom.GetObject(svName);
if (!svObj){   
    object svObjects = dom.GetObject(ID_SYSTEM_VARIABLES);
    svObj = dom.CreateObject(OT_VARDP);
    svObjects.Add(svObj.ID());
    svObj.Name(svName);   
    svObj.ValueType(ivtFloat);
    svObj.ValueSubType(istGeneric);
    svObj.DPInfo("Windrichtung");
    svObj.ValueUnit("°");
    svObj.ValueMin(0);
    svObj.ValueMax(360);
    svObj.State(15);
    svObj.Internal(false);
    svObj.Visible(true);
    dom.RTUpdate(false);
}
WriteLine(svObj.Value().ToString());

string  svName = "WS_Windgeschwindigkeit";
object  svObj  = dom.GetObject(svName);
if (!svObj){   
    object svObjects = dom.GetObject(ID_SYSTEM_VARIABLES);
    svObj = dom.CreateObject(OT_VARDP);
    svObjects.Add(svObj.ID());
    svObj.Name(svName);   
    svObj.ValueType(ivtFloat);
    svObj.ValueSubType(istGeneric);
    svObj.DPInfo("Windgeschwindigkeit aktuell gemittelt");
    svObj.ValueUnit("m/s");
    svObj.ValueMin(0);
    svObj.ValueMax(60);
    svObj.State(15);
    svObj.Internal(false);
    svObj.Visible(true);
    dom.RTUpdate(false);
}
WriteLine(svObj.Value().ToString());

string  svName = "WS_Windboe";
object  svObj  = dom.GetObject(svName);
if (!svObj){   
    object svObjects = dom.GetObject(ID_SYSTEM_VARIABLES);
    svObj = dom.CreateObject(OT_VARDP);
    svObjects.Add(svObj.ID());
    svObj.Name(svName);   
    svObj.ValueType(ivtFloat);
    svObj.ValueSubType(istGeneric);
    svObj.DPInfo("stärkste Windböe");
    svObj.ValueUnit("m/s");
    svObj.ValueMin(0);
    svObj.ValueMax(60);
    svObj.State(15);
    svObj.Internal(false);
    svObj.Visible(true);
    dom.RTUpdate(false);
}
WriteLine(svObj.Value().ToString());

string  svName = "WS_Regen_Stunde";
object  svObj  = dom.GetObject(svName);
if (!svObj){   
    object svObjects = dom.GetObject(ID_SYSTEM_VARIABLES);
    svObj = dom.CreateObject(OT_VARDP);
    svObjects.Add(svObj.ID());
    svObj.Name(svName);   
    svObj.ValueType(ivtFloat);
    svObj.ValueSubType(istGeneric);
    svObj.DPInfo("Regenmenge in der letzten Stunde");
    svObj.ValueUnit("mm");
    svObj.ValueMin(0);
    svObj.ValueMax(10000);
    svObj.State(15);
    svObj.Internal(false);
    svObj.Visible(true);
    dom.RTUpdate(false);
}
WriteLine(svObj.Value().ToString());

string  svName = "WS_Regen_Tag";
object  svObj  = dom.GetObject(svName);
if (!svObj){   
    object svObjects = dom.GetObject(ID_SYSTEM_VARIABLES);
    svObj = dom.CreateObject(OT_VARDP);
    svObjects.Add(svObj.ID());
    svObj.Name(svName);   
    svObj.ValueType(ivtFloat);
    svObj.ValueSubType(istGeneric);
    svObj.DPInfo("Regenmenge an diesem Tag");
    svObj.ValueUnit("mm");
    svObj.ValueMin(0);
    svObj.ValueMax(10000);
    svObj.State(15);
    svObj.Internal(false);
    svObj.Visible(true);
    dom.RTUpdate(false);
}
WriteLine(svObj.Value().ToString());
string  svName = "WS__Check";
object  svObj  = dom.GetObject(svName);
if (!svObj){   
    object svObjects = dom.GetObject(ID_SYSTEM_VARIABLES);
    svObj = dom.CreateObject(OT_VARDP);
    svObjects.Add(svObj.ID());
    svObj.Name(svName);   
    svObj.ValueType(ivtFloat);
    svObj.ValueSubType(istBool);
    svObj.DPInfo("Checksumme der Übertragung");
    svObj.ValueUnit("mm");
    svObj.ValueMin(0);
    svObj.ValueMax(10000);
    svObj.State(15);
    svObj.Internal(false);
    svObj.Visible(true);
    dom.RTUpdate(false);
}
WriteLine(svObj.Value().ToString());

string  svName = "WS_Regen_Woche";
object  svObj  = dom.GetObject(svName);
if (!svObj){   
    object svObjects = dom.GetObject(ID_SYSTEM_VARIABLES);
    svObj = dom.CreateObject(OT_VARDP);
    svObjects.Add(svObj.ID());
    svObj.Name(svName);   
    svObj.ValueType(ivtFloat);
    svObj.ValueSubType(istGeneric);
    svObj.DPInfo("Regenmenge in dieser Woche");
    svObj.ValueUnit("mm");
    svObj.ValueMin(0);
    svObj.ValueMax(10000);
    svObj.State(15);
    svObj.Internal(false);
    svObj.Visible(true);
    dom.RTUpdate(false);
}
WriteLine(svObj.Value().ToString());

string  svName = "WS_Regen_Monat";
object  svObj  = dom.GetObject(svName);
if (!svObj){   
    object svObjects = dom.GetObject(ID_SYSTEM_VARIABLES);
    svObj = dom.CreateObject(OT_VARDP);
    svObjects.Add(svObj.ID());
    svObj.Name(svName);   
    svObj.ValueType(ivtFloat);
    svObj.ValueSubType(istGeneric);
    svObj.DPInfo("Regenmenge in diesem Monat");
    svObj.ValueUnit("mm");
    svObj.ValueMin(0);
    svObj.ValueMax(10000);
    svObj.State(15);
    svObj.Internal(false);
    svObj.Visible(true);
    dom.RTUpdate(false);
}
WriteLine(svObj.Value().ToString());

string  svName = "WS_Regen_Jahr";
object  svObj  = dom.GetObject(svName);
if (!svObj){   
    object svObjects = dom.GetObject(ID_SYSTEM_VARIABLES);
    svObj = dom.CreateObject(OT_VARDP);
    svObjects.Add(svObj.ID());
    svObj.Name(svName);   
    svObj.ValueType(ivtFloat);
    svObj.ValueSubType(istGeneric);
    svObj.DPInfo("Regenmenge in diesem Jahr");
    svObj.ValueUnit("mm");
    svObj.ValueMin(0);
    svObj.ValueMax(10000);
    svObj.State(15);
    svObj.Internal(false);
    svObj.Visible(true);
    dom.RTUpdate(false);
}
WriteLine(svObj.Value().ToString());

string  svName = "WS_Regen_Total";
object  svObj  = dom.GetObject(svName);
if (!svObj){   
    object svObjects = dom.GetObject(ID_SYSTEM_VARIABLES);
    svObj = dom.CreateObject(OT_VARDP);
    svObjects.Add(svObj.ID());
    svObj.Name(svName);   
    svObj.ValueType(ivtFloat);
    svObj.ValueSubType(istGeneric);
    svObj.DPInfo("Regenmenge seit Reset (evtl. Beginn Regenzeit)");
    svObj.ValueUnit("mm");
    svObj.ValueMin(0);
    svObj.ValueMax(10000);
    svObj.State(15);
    svObj.Internal(false);
    svObj.Visible(true);
    dom.RTUpdate(false);
}
WriteLine(svObj.Value().ToString());

string  svName = "WS_Sonne_Helligkeit";
object  svObj  = dom.GetObject(svName);
if (!svObj){   
    object svObjects = dom.GetObject(ID_SYSTEM_VARIABLES);
    svObj = dom.CreateObject(OT_VARDP);
    svObjects.Add(svObj.ID());
    svObj.Name(svName);   
    svObj.ValueType(ivtFloat);
    svObj.ValueSubType(istGeneric);
    svObj.DPInfo("Sonnenscheinintensität");
    svObj.ValueUnit("Lux");
    svObj.ValueMin(0);
    svObj.ValueMax(30000);
    svObj.State(15);
    svObj.Internal(false);
    svObj.Visible(true);
    dom.RTUpdate(false);
}
WriteLine(svObj.Value().ToString());

string  svName = "WS_Sonne_UV";
object  svObj  = dom.GetObject(svName);
if (!svObj){   
    object svObjects = dom.GetObject(ID_SYSTEM_VARIABLES);
    svObj = dom.CreateObject(OT_VARDP);
    svObjects.Add(svObj.ID());
    svObj.Name(svName);   
    svObj.ValueType(ivtFloat);
    svObj.ValueSubType(istGeneric);
    svObj.DPInfo("UV Strahlungsintensität");
    svObj.ValueUnit("mW/m²");
    svObj.ValueMin(0);
    svObj.ValueMax(35000);
    svObj.State(15);
    svObj.Internal(false);
    svObj.Visible(true);
    dom.RTUpdate(false);
}
WriteLine(svObj.Value().ToString());

string  svName = "WS_Sonne_UV_Index";
object  svObj  = dom.GetObject(svName);
if (!svObj){   
    object svObjects = dom.GetObject(ID_SYSTEM_VARIABLES);
    svObj = dom.CreateObject(OT_VARDP);
    svObjects.Add(svObj.ID());
    svObj.Name(svName);   
    svObj.ValueType(ivtFloat);
    svObj.ValueSubType(istGeneric);
    svObj.DPInfo("UV-Index");
    svObj.ValueUnit("0-15");
    svObj.ValueMin(0);
    svObj.ValueMax(20);
    svObj.State(15);
    svObj.Internal(false);
    svObj.Visible(true);
    dom.RTUpdate(false);
}
WriteLine(svObj.Value().ToString());





