# - weatherini.tcl
# - Position des Wertes im String (indexbyte schon übersprungen)
set in_temperature 7;        # 2 Byte   (01)
set out_temperature 10;      # 2 Byte   (02)
set dewpoint 13;             # 2 Byte   (03)
set windchill 16;            # 2 Byte   (04)
set heatindex 19;            # 2 Byte   (05)
set in_humidity 22;          # 1 Byte   (06)
set out_humidity 24;         # 1 Byte   (07)
set abs_pressure 26;         # 2 Byte   (08)
set rel_pressure 29;         # 2 Byte   (09)
set wind_direction 32;       # 2 Byte   (0A)
set wind_speed 35;           # 2 Byte   (0B)
set gust_speed 38;           # 2 Byte   (0C)
set rain_hour 41;            # 4 Byte   (0E)
set rain_day 46;             # 4 Byte   (10)
set rain_week 51;            # 4 Byte   (11)
set rain_month 56;           # 4 Byte   (12)
set rain_year 61;            # 4 Byte   (13)
set rain_total 66;           # 4 Byte   (14)
set light 71;                # 4 Byte   (15)
set uv_radiation 76;         # 2 Byte   (16)
set uv_index 79;             # 1 Byte   (17)
set chk_sum_short 80;        # 1 Byte (Summe 7 - 79)
set chk_sum 81;              # 1 Byte (Summe 0 - 79)

# Beispiel "ffff0b0050040100d70200ea0300760400ea0500ea063607300827230927230a00020b00000c00000e0000000010000000051100000005120000000513000000051400000005150000000016000117001d95"
#                                                                                 ^^
#                                                                    das Byte nach Index 0B ist das 35 Byte im Hexstring, ist Windgeschwindigkeit (2Byte) - hier 0000